loci.formats.in

## Class ZeissCZIReader.Attachment

- java.lang.Object
- - loci.formats.in.ZeissCZIReader.Segment
  - - loci.formats.in.ZeissCZIReader.Attachment

- Enclosing class:
    ZeissCZIReader

      class ZeissCZIReader.Attachment
      extends ZeissCZIReader.Segment

  Segment with ID "ZISRAWATTACH".

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ZeissCZIReader.AttachmentEntry` | `attachment`
    `byte[]` | `attachmentData`
    `long` | `dataOffset`
    `int` | `dataSize`

    - ### Fields inherited from class loci.formats.in.ZeissCZIReader.Segment

      `allocatedSize, filename, id, startingPosition, stream, usedSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attachment(java.lang.String filename, long position)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fillInData()`

    - ### Methods inherited from class loci.formats.in.ZeissCZIReader.Segment

      `close, getStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataSize

          public int dataSize

    - #### attachment

          public ZeissCZIReader.AttachmentEntry attachment

    - #### attachmentData

          public byte[] attachmentData

    - #### dataOffset

          public long dataOffset

  - ### Constructor Detail

    - #### Attachment

          public Attachment(java.lang.String filename,
                            long position)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### fillInData

          public void fillInData()
                          throws java.io.IOException

      Overrides:
        `fillInData` in class `ZeissCZIReader.Segment`
      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment